# Specfile for Disk-Backup

%define name	ksm-disk-backup
%define version	1.0.2
%define release	1.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Backup Program using CDs/DVDs as archive
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Multimedia/CD/Record
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	net-tools
Requires:	ksm-lib-sh >= 4.0.0-0.0.0,ksm-open-cd-dvd >= 1.0.1-1.1.0
#Provides:	sampled
#Conflicts:	sampled-other,libsample == 0.0.0
#Obsoletes:	mysampled

%description
This Package contains the program disk-backup. You can use it to make backups 
onto CD/DVD.

After installation/upgrade users should create/update their 
 HOME/.disk-backuprc with update-disk-backup

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/sample.conf
#%config %{_confdir}/sample.conf
#%config %{_scnfdir}/sample
#%{_confdir}/sample.conf

#%attr(744,root,root)/%{_rcdir}/sampled
#%attr(777,root,root)%{_bindir}/rcsampled

%attr(755,root,root)%{_bindir}/disk-backup
%attr(755,root,root)%{_bindir}/update-disk-backup

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/disk-backuprc.templ

#/usr/share/applications/sample.desktop
#%{_icondir}/16x16/apps/sample.png
#%{_icondir}/22x22/apps/sample.png
#%{_icondir}/32x32/apps/sample.png
#%{_icondir}/48x48/apps/sample.png
#%{_icondir}/64x64/apps/sample.png
#%{_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

%docdir %{_man1dir}
%{_man1dir}/disk-backup.1.gz
%{_man1dir}/update-disk-backup.1.gz

#%docdir %{_man8dir}
#%{_man8dir}/sampled.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#%{_docdir}/README.de

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# disable disk-backup and stop disk-backupd
#test -x %{_bindir}/toggledisk-backup && %{_bindir}/toggledisk-backup -d -q > /dev/null 2>&1
#test -x %{_rcdir}/disk-backupd && %{_rcdir}/disk-backupd stop > /dev/null 2>&1

# backup config files
#test -e %{_confdir}/disk-backup.conf && cp %{_confdir}/disk-backup.conf %{_confdir}/disk-backup.conf.rpmsave
#test -e %{_scnfdir}/disk-backup && cp %{_scnfdir}/disk-backup %{_scnfdir}/disk-backup.rpmsave

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/disk-backup.conf
#cnfvars='MyVar1 MyVar2'

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/disk-backup.directory \
#	/usr/share/applications/disk-backup.desktop \
#	/usr/share/applications/disk-backup-admin.desktop

if [ "$1" == 1 ]; then					# install package
#	# set links to other pkgs
#	ln -sf /usr/bin/prog %{_bindir}/myprog

	mkdir -p /var/local/disk-backup
#
#	echo "Configure $cf"
	echo "Users must create HOME/.disk-backuprc with update-disk-backup"
else							# upgrade package
#	# update global conf
#	c=''
#	s=''
#	t=''
#	ret=0
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#
#		# update array vars MainArr HelpArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				# array MainArr
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#				# array HelpArr
#				s="HelpArr[$i]=\"${HelpArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
	echo "If new.vers. then users must update HOME/.disk-backuprc with update-disk-backup"
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

# disable disk-backup and stop disk-backupd
#test -x %{_bindir}/toggledisk-backup && %{_bindir}/toggledisk-backup -d -q > /dev/null 2>&1
#test -x %{_rcdir}/disk-backupd && %{_rcdir}/disk-backupd stop > /dev/null 2>&1

#if [ "$1" == 0 ]; then					# remove package
#	# backup config files
#	test -e %{_confdir}/disk-backup.conf && cp %{_confdir}/disk-backup.conf %{_confdir}/disk-backup.conf.rpmsave
#	test -e %{_scnfdir}/disk-backup && cp %{_scnfdir}/disk-backup %{_scnfdir}/disk-backup.rpmsave
#
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/disk-backup

	# remove own links to other pkgs
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog

	# remove stuff
	#rmdir /var/lib/disk-backupdir

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/disk-backup.directory \
	#	/usr/share/applications/disk-backup.desktop \
	#	/usr/share/applications/disk-backup-admin.desktop
#else							# upgrade package
	# enable disk-backup and start disk-backupd
	#%{_bindir}/toggledisk-backup -e -q > /dev/null 2>&1
	#%{_rcdir}/disk-backupd start > /dev/null 2>&1
fi
exit 0

%changelog
* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.2-1.0.0
- Update to the libfuncstd-sh 4.0.0

* Mon Jan 23 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-0.3.0
- All scripts have been revised/improved
  (using function GetOpt).

* Thu Nov 10 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-0.2.0
- The scripts disk-backup and update-disk-backup
  have been revised.

* Tue Mar 29 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-0.1.0
- The script disk-backup has been revised.

* Sun Mar 15 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.2-0.0.0
- The package has been renamed to ksm-disk-backup.
- Following file names have been changed:
  FROM			TO
  backup		disk-backup
  update-backup		update-disk-backup
- The config file template has been changed.

* Fri Sep 26 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.1-5.2.1
- The docu has been revised.

* Tue Sep 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.2.0
- The package has been revised.

* Mon Apr 02 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.3
- The release naming scheme has changed ('.ksm' is removed).

* Mon Jan 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.3.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed Jun 09 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.3.ksm
- The package is revised.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.2.ksm
- Read version and dependency infos from external files.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.1.ksm
- The docu has changed.

* Sat Jan 23 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.1.0.ksm
- Script update-backup has corrected.

* Wed Jan 20 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.0.0.ksm
- Script tarchiv has moved to package Utils.

* Wed Jan 20 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-4.0.0.ksm
- Script tarchiv: now archives are created under a subdir with same
  name as build host.

* Sat Jan 16 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.0.0.ksm
- Script tarchiv: cmd -u added and cmds -L and -l exchanged.

* Thu Dec 10 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-2.0.0.ksm
- Cmds -f, -n added to tarchiv.

* Wed Dec 09 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.0.0.ksm
- Cmd -s added to tarchiv.

* Tue Dec 08 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.0.0.ksm
- The Script tarchiv is added to this package.

* Wed Nov 18 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.ksm.0.1
- An error in the installation routine is corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
